Scala Bytecode Parser2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package scalap
  Definition Classes
    tools
-  package scalax
  Definition Classes
    scalap
-  package rules
  Definition Classes
    scalax
-  package scalasig
  Definition Classes
    rules
- Choice
- DefaultMemoisable
- Error
- Failure
- InRule
- Memoisable
- MemoisableRules
- Name
- NoSuccess
- Result
- Rule
- Rules
- RulesWithState
- ScalaSigParserError
- SeqRule
- StateRules
- Success
- ~

t

scala.tools.scalap.scalax.rules

# StateRules 

###

#### trait StateRules extends AnyRef

A factory for rules that apply to a particular context.

Source
  Rules.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
RulesWithState, ByteCodeReader, ClassFileParser, ScalaSigAttributeParsers, ScalaSigEntryParsers, ScalaSigParsers, SourceFileAttributeParser
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. StateRules
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  type Rule[+A, +X] = rules.Rule[S, S, A, X]
2.  abstract type S

### Abstract Value Members

1.  abstract val factory: Rules

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from StateRules to any2stringadd[StateRules] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (StateRules, B)
   Implicit
     This member is added by an implicit conversion from StateRules to ArrowAssoc[StateRules] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def allOf[A, X](rules: Seq[Rule[A, X]]): (S) ⇒ Result[S, List[A], X]

   Create a rule that succeeds if all of the given rules succeed.

   Create a rule that succeeds if all of the given rules succeed.

   rules

     the rules to apply in sequence.

7.  def anyOf[A, X](rules: Seq[Rule[A, X]]): rules.Rule[S, S, collection.immutable.List[A], X]

   Create a rule that succeeds with a list of all the provided rules that succeed.

   Create a rule that succeeds with a list of all the provided rules that succeed.

   rules

     the rules to apply in sequence.

8.  def apply[A, X](f: (S) ⇒ Result[S, A, X]): rules.Rule[S, S, A, X]
9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
11.  def cond(f: (S) ⇒ Boolean): rules.Rule[S, S, S, Nothing]

    Create a rule that identities if f(in) is true.

12.  def ensuring(cond: (StateRules) ⇒ Boolean, msg: ⇒ Any): StateRules
    Implicit
      This member is added by an implicit conversion from StateRules to Ensuring[StateRules] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: (StateRules) ⇒ Boolean): StateRules
    Implicit
      This member is added by an implicit conversion from StateRules to Ensuring[StateRules] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean, msg: ⇒ Any): StateRules
    Implicit
      This member is added by an implicit conversion from StateRules to Ensuring[StateRules] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean): StateRules
    Implicit
      This member is added by an implicit conversion from StateRules to Ensuring[StateRules] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
18.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
19.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from StateRules to StringFormat[StateRules] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
20.  def get: rules.Rule[S, S, S, Nothing]
21.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
22.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
23.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
24.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
25.  def nil: rules.Rule[S, S, collection.immutable.Nil.type, Nothing]
26.  def none: rules.Rule[S, S, None.type, Nothing]
27.  final def notify(): Unit
    Definition Classes
      AnyRef
28.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
29.  def read[A](f: (S) ⇒ A): rules.Rule[S, S, A, Nothing]
30.  def repeatUntil[T, X](rule: Rule[(T) ⇒ T, X])(finished: (T) ⇒ Boolean)(initial: T): rules.Rule[S, S, T, X]

    Repeatedly apply a rule from initial value until finished condition is met.

31.  def set(s: ⇒ S): rules.Rule[S, S, S, Nothing]
32.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
33.  def toString(): String
    Definition Classes
      AnyRef → Any
34.  def unit[A](a: ⇒ A): rules.Rule[S, S, A, Nothing]
35.  def update(f: (S) ⇒ S): rules.Rule[S, S, S, Nothing]
36.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
37.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
38.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
39.  def →[B](y: B): (StateRules, B)
    Implicit
      This member is added by an implicit conversion from StateRules to ArrowAssoc[StateRules] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from StateRules to any2stringadd[StateRules]

### Inherited by implicit conversion StringFormat from StateRules to StringFormat[StateRules]

### Inherited by implicit conversion Ensuring from StateRules to Ensuring[StateRules]

### Inherited by implicit conversion ArrowAssoc from StateRules to ArrowAssoc[StateRules]

### Ungrouped